git-branchless-hide(1)

NAME
hide - Hide the provided commits from the smartlog

SYNOPSIS
hide [--hidden] [-D|--delete-branches] [-r|--recursive] [-h|--help] [REVSETS]

DESCRIPTION
Hide the provided commits from the smartlog

OPTIONS

--hidden
    Include hidden commits in the results of evaluating revset expressions

-D, --delete-branches
    Also delete any branches that are abandoned as a result of this hide

-r, --recursive
    Also recursively hide all visible children commits of the provided commits

-h, --help
    Print help

[REVSETS]
    Zero or more commits to hide